import SFSafeSymbols

enum SettingsSection: String {

    case general = "General"

    case paths = "Paths"

    case navigationBar = "Navigation Bar"

    case postFeed = "Post Feed"

    case pages = "Pages"

    case tagOverview = "Tag Overview"

    case audioPlayer = "Audio Player"

}

extension SettingsSection {

    var icon: SFSymbol {
        switch self {
        case .general: return .noteText
        case .paths: return .folder
        case .navigationBar: return .menubarArrowUpRectangle
        case .postFeed: return .rectangleGrid1x2
        case .pages: return .richtextPage
        case .tagOverview: return .tag
        case .audioPlayer: return .waveform
        }
    }
}

extension SettingsSection: CaseIterable {

}

extension SettingsSection: Identifiable {

    var id: String { rawValue }
}
